gr::satellites::distributed_syncframe_soft Class Reference

<+description of block+> More...

`#include <distributed_syncframe_soft.h>`

Inheritance diagram for gr::satellites::distributed_syncframe_soft:

## Public Types

typedef std::shared_ptr< distributed_syncframe_soft > | sptr

## Static Public Member Functions

static sptr | make (int threshold, const std::string &syncword, int step)
| Return a shared_ptr to a new instance of satellites::distributed_syncframe_soft.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<distributed_syncframe_soft> gr::satellites::distributed_syncframe_soft::sptr

## Member Function Documentation

## make()

sptr gr::satellites::distributed_syncframe_soft::make | ( | int | threshold,
|  | const std::string & | syncword,
|  | int | step )

static

Return a shared_ptr to a new instance of satellites::distributed_syncframe_soft.

To avoid accidental use of raw pointers, satellites::distributed_syncframe_soft's constructor is in a private implementation class. satellites::distributed_syncframe_soft::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- distributed_syncframe_soft.h